<?php
function __autoload($className) {
    if (file_exists($className . ".php")) {
        include_once($className . ".php");
    } elseif (file_exists(dirname(__FILE__) . "/" . $className . ".php")) {
        include_once(dirname(__FILE__) . "/" . $className . ".php");
    } elseif (file_exists(dirname(__FILE__) . "/OutputDefinition/" . $className . ".php")) {
        include_once(dirname(__FILE__) . "/OutputDefinition/" . $className . ".php");
    }
}
/**
 * Main class of HIMMEL
 * 
 * @author Arielworks
 * @access public
 * @version 0.8.1
 * @license Public Domain
 */
class Himmel_Himmel {
    /**
     * @access private
     */
    private $outputManager = NULL;

    /**
     * Constractor
     * 
     * @return void
     * @access public
     */
    public function __construct() {
        $this->outputManager = new Himmel_OutputManager();
    }

    /**
     * @return DataContainer
     * @access public
     */
    public function getDataContainer() {
        return new Himmel_DataContainer();
    }

    /**
     * @return void
     * @param DataContainer $dataContainer DataContainer to excute
     * @param int $statusCode default code is 200
     * @access public
     */
    public function excute($dataContainer, $statusCode = NULL) {
        $this->outputManager->output($dataContainer);
    }
}
?>